Bug 986852 - Outdated GRASS desktop file
Outdated GRASS desktop file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grass (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 05:01 EDT by Zirneklitis
Modified: 2014-03-16 05:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: grass-6.4.3-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:30:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zirneklitis 2013-07-22 05:01:08 EDT
Description of problem:

An old grass.desktop file is used in Fedora distributions. Starting from 6.4.3 a refined grass.desktop can be found in GRASS source package. This desktop file should be used.

The main  advantages:

1. Menu entries (categories)  are  the same as for QGIS etc. (Education;Science;Geoscience;Geography;)
2. More languages are available.


A patch should be applied to this desktop file:

-Icon=/usr/share/icons/grass-48x48.png
+Icon=grass
Comment 1 Volker Fröhlich 2013-07-22 05:13:18 EDT
Thanks a lot!
Comment 2 Volker Fröhlich 2013-10-06 17:55:15 EDT
Fixed in 6.4.3-3
Comment 3 Fedora Update System 2013-10-07 13:35:51 EDT
grass-6.4.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/grass-6.4.3-3.fc20
Comment 4 Fedora Update System 2013-10-09 10:18:02 EDT
Package grass-6.4.3-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grass-6.4.3-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18525/grass-6.4.3-3.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-10 07:48:21 EDT
grass-6.4.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/grass-6.4.3-4.fc20
Comment 6 Fedora Update System 2013-11-10 01:30:35 EST
grass-6.4.3-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 markusN 2014-03-13 07:00:40 EDT
(In reply to Zirneklitis from comment #0)
...
> A patch should be applied to this desktop file:
> 
> -Icon=/usr/share/icons/grass-48x48.png
> +Icon=grass

Now also fixed upstream (for the future GRASS GIS 6.4.4 release):
http://trac.osgeo.org/grass/changeset/59241
Comment 8 Volker Fröhlich 2014-03-15 18:29:54 EDT
Thanks Markus! The encoding item is deprecated though:

http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html
Comment 9 markusN 2014-03-16 05:02:04 EDT
(In reply to Volker Fröhlich from comment #8)
> Thanks Markus! The encoding item is deprecated though:
> 
> http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-
> latest.html

ok, I have removed it upstream in GRASS GIS 6.4.svn, 6.5.svn and 7.svn.

Note You need to log in before you can comment on or make changes to this bug.